Bug 199206 - smb.conf has incorrect log file path
smb.conf has incorrect log file path
Status: CLOSED DUPLICATE of bug 199035
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-17 18:27 EDT by Ian Mortimer
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-15 09:50:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Mortimer 2006-07-17 18:27:31 EDT
Description of problem:
The smb.conf included with samba-common-3.0.23-1.fc4 configures the
logfile directory as /usr/local/samba/var/%m.log.  There are also
other suspicious or wrong references to /usr/local/samba in the 
config file.

Version-Release number of selected component (if applicable):
samba-common-3.0.23-1.fc4

How reproducible:
Always


Steps to Reproduce:
1. yum update to install the latest samba-common update
2. look at the installed smb.conf (most likely installed as smb.conf.rpmnew)
3.
  
Actual results:

The included smb.conf has these wrong or suspicious looking references
to /usr/local/samba:

   log file = /usr/local/samba/var/%m.log
;   include = /usr/local/samba/lib/smb.conf.%m
;   path = /usr/local/samba/lib/netlogon
;    path = /usr/local/samba/profiles


Expected results:

The first is wrong and should be:

   log file = /var/log/samba/%m.log
 
The second is also wrong but as it's commented out doesn't
cause any problems (but is misleading).  It should be:

   ;   include = /etc/samba/smb.conf.%m

The other two probably should be:

   path = /home/netlogon
   path = /home/profiles


Additional info: 
The updated smb.conf gets installed as smb.conf.rpmnew so it shouldn't
cause any problems by default but will cause problems for anybody who
tries to use it.
Comment 1 Fedora Update System 2006-07-26 15:39:38 EDT
samba-3.0.23a-1.fc5.1 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 2 Christian Iseli 2007-01-22 06:14:54 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Ian Mortimer 2007-01-22 16:54:41 EST
The only serious problem (with 'log file =') is fixed in FC5 and FC6. The other
3 references to /usr/local are still present in FC5 and FC6 (but commmented out):

samba-common-3.0.23c-1.fc5

samba-common-3.0.23c-2 (FC6)

You could close this.  References to /usr/local are wrong for Fedora/RedHat but
since they're commented out aren't causing any problems.

--
Ian
Comment 4 Simo Sorce 2007-03-15 09:50:33 EDT

*** This bug has been marked as a duplicate of 199035 ***

Note You need to log in before you can comment on or make changes to this bug.